package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [UserRoleDatas] 对象
 */
public interface IUserRoleDatas {

    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [用户角色数据能力名称]
     */
    public void setUserRoleDatasName(String userRoleDatasName);
    
    /**
     * 设置 [用户角色数据能力名称]
     */
    public String getUserRoleDatasName();

    /**
     * 获取 [用户角色数据能力名称]脏标记
     */
    public boolean getUserRoleDatasNameDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [用户角色数据能力标识]
     */
    public void setUserRoleDatasId(String userRoleDatasId);
    
    /**
     * 设置 [用户角色数据能力标识]
     */
    public String getUserRoleDatasId();

    /**
     * 获取 [用户角色数据能力标识]脏标记
     */
    public boolean getUserRoleDatasIdDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [用户角色名称]
     */
    public void setUserRoleName(String userRoleName);
    
    /**
     * 设置 [用户角色名称]
     */
    public String getUserRoleName();

    /**
     * 获取 [用户角色名称]脏标记
     */
    public boolean getUserRoleNameDirtyFlag();
    /**
     * 获取 [数据对象能力名称]
     */
    public void setUserRoleDataName(String userRoleDataName);
    
    /**
     * 设置 [数据对象能力名称]
     */
    public String getUserRoleDataName();

    /**
     * 获取 [数据对象能力名称]脏标记
     */
    public boolean getUserRoleDataNameDirtyFlag();
    /**
     * 获取 [用户角色标识]
     */
    public void setUserRoleId(String userRoleId);
    
    /**
     * 设置 [用户角色标识]
     */
    public String getUserRoleId();

    /**
     * 获取 [用户角色标识]脏标记
     */
    public boolean getUserRoleIdDirtyFlag();
    /**
     * 获取 [数据对象能力标识]
     */
    public void setUserRoleDataId(String userRoleDataId);
    
    /**
     * 设置 [数据对象能力标识]
     */
    public String getUserRoleDataId();

    /**
     * 获取 [数据对象能力标识]脏标记
     */
    public boolean getUserRoleDataIdDirtyFlag();
}
